Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065231 - %gnustep_docdir is defined as %{gnustep_libdir}/Documentation , but code built via gnustep-make places it in %{gnustep_datadir}/Documentation
Summary: %gnustep_docdir is defined as %{gnustep_libdir}/Documentation , but code buil...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnustep-make
Version: 22
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-14 07:33 UTC by Adam Williamson
Modified: 2016-07-19 19:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 19:00:13 UTC


Attachments (Terms of Use)

Description Adam Williamson 2014-02-14 07:33:25 UTC
This commit:

https://git.fedorahosted.org/cgit/gnustep-rpm-macros.git/commit/?id=5b8eb4e1df623c5dc703a3255c5991e4bf6da197

changed the %gnustep_docdir to %{gnustep_libdir}/Documentation , but that's not where any gnustep documentation actually goes, near as I can tell. gnustep_filesystem owns /usr/share/GNUstep/Documentation . gnustep-gui-doc 's files are all in /usr/share. Same for gnustep-make-doc and gnustep-base-doc . When I do a rebuild of gnustep-base (for the libicu rebuild), the build process puts the doc files there.

Either the definition of gnustep_docdir is wrong, or gnustep-make needs adjusting so that gnustep builds actually put their doc files in /usr/lib64/GNUstep not /usr/share/GNUstep.

Comment 1 Jaroslav Reznik 2015-03-03 15:29:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora End Of Life 2016-07-19 19:00:13 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.